<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Document</title>
</head>
<body>
    <div class="flex-container" style="width:500px; height:40px; display: flex;">
     <div class="item" style="flex:1 0 100px; border:1px solid black; box-sizing:border-box; background-color: darkcyan;"></div>
     <div class="item" style="flex:1 0 100px border:1px solid black; box-sizing:border-box;background-color: red;"></div>
     <div class="item" style="flex: 1 0 100px border:1px solid black; box-sizing:border-box; background-color: royalblue;"></div>
     <div class="item" style="flex:2 0 100px border:1px solid black; box-sizing:border-box; background-color: aqua;"></div>
</div>
</body>
</html>